net.sf.jasperreports.components.table.fill

## Class TableReportBaseObjectFactory

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractObjectFactory
  - - net.sf.jasperreports.engine.base.JRBaseObjectFactory
    - - net.sf.jasperreports.components.table.fill.TableReportBaseObjectFactory

- All Implemented Interfaces:
    JRVisitor

      public class TableReportBaseObjectFactory
      extends JRBaseObjectFactory

  Version:
    $Id: TableReportBaseObjectFactory.java 6255 2013-06-12 12:40:27Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableReportBaseObjectFactory(TableReportDataset reportDataset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getExpression(JRExpression expression, boolean assignNotUsedId)`
    `protected JRBaseGroup` | `getGroup(JRGroup group)`
    `protected int` | `resolveCrosstabId(JRCrosstab crosstab)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseObjectFactory

      `getAreaPlot, getBand, getBar3DPlot, getBarPlot, getBubblePlot, getCandlestickPlot, getCategoryDataset, getCategorySeries, getCell, getChartAxis, getConditionalStyle, getCrosstabBucket, getCrosstabCell, getCrosstabColumnCell, getCrosstabColumnGroup, getCrosstabDataset, getCrosstabMeasure, getCrosstabParameter, getCrosstabRowGroup, getDataAxis, getDataAxisLevel, getDataLevelBucket, getDataLevelBucketProperty, getDataMeasure, getDataset, getDatasetParameter, getDatasetRun, getDefaultStyleProvider, getElementDataset, getExpressionChunk, getField, getGanttDataset, getGanttSeries, getGenericElementParameter, getHighLowDataset, getHighLowPlot, getHyperlink, getHyperlinkParameter, getLinePlot, getMeterPlot, getMultiAxisData, getMultiAxisDataset, getMultiAxisPlot, getParameter, getPie3DPlot, getPieDataset, getPiePlot, getPieSeries, getPropertyExpression, getQuery, getQueryChunk, getReportTemplate, getReturnValue, getScatterPlot, getScriptlet, getSection, getSortField, getStyle, getSubreportParameter, getSubreportReturnValue, getThermometerPlot, getTimePeriodDataset, getTimePeriodSeries, getTimeSeries, getTimeSeriesDataset, getTimeSeriesPlot, getValueDataset, getVariable, getXyDataset, getXySeries, getXyzDataset, getXyzSeries, handleStyleNameReference, setDefaultStyleProvider, setStyle, visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractObjectFactory

      `get, getExpression, getFont, getVisitResult, put, setVisitResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableReportBaseObjectFactory

          public TableReportBaseObjectFactory(TableReportDataset reportDataset)

  - ### Method Detail

    - #### getExpression

          public JRExpression getExpression(JRExpression expression,
                                   boolean assignNotUsedId)

      Overrides:
        `getExpression` in class `JRBaseObjectFactory`

    - #### getGroup

          protected JRBaseGroup getGroup(JRGroup group)

      Overrides:
        `getGroup` in class `JRBaseObjectFactory`

    - #### resolveCrosstabId

          protected int resolveCrosstabId(JRCrosstab crosstab)

      Overrides:
        `resolveCrosstabId` in class `JRBaseObjectFactory`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com